%define debug_package %{nil}

Name:           mupen64plus
Version:        2.5
Release:        %mkrel 4
Summary:        Nintendo 64 Emulator (console frontend)
License:        GPLv2+ and LGPLv2+
Group:          Emulators
URL:            http://www.mupen64plus.org
Source0:        https://github.com/mupen64plus/mupen64plus-core/releases/download/%{version}/%{name}-bundle-src-%{version}.tar.xz
Patch1:         mupen64plus-2.0-mga-suse-use-system-font.patch

BuildRequires:  %{_lib}boost-devel
BuildRequires:  %{_lib}lirc-devel
BuildRequires:  %{_lib}freetype6-devel
BuildRequires:  %{_lib}png-devel
BuildRequires:  %{_lib}SDL-devel
Requires:       fonts-ttf-dejavu
Requires:       m64py

%description
Mupen64Plus is a terminal console cross-platform plugin-based Nintendo 64
emulator which is capable of accurately playing many games.


%prep
%setup -q -n %{name}-bundle-src-%{version}
%apply_patches

%build
sh m64p_build.sh


%install
./m64p_install.sh DESTDIR=%{buildroot} PREFIX=%{_prefix} MANDIR=%{_mandir} LIBDIR=%{_libdir} LDCONFIG='true'

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=Mupen64Plus
GenericName=N64 Emulator
Comment=Nintendo 64 emulator and plugins for Linux, Mac OSX, FreeBSD, and Windows
Exec=mupen64plus %f
Icon=mupen64plus
MimeType=application/x-n64-rom;
Categories=Games;Emulator;X-MandrivaLinux-MoreApplications-Emulators;
Keywords=Emulator;Nintendo64;Mupen64plus;
NoDisplay=true
EOF

#drop development files
rm -rf %buildroot/%{_includedir}

%files
%defattr(755, root, root)
%{_bindir}/%{name}
%{_libdir}/mupen64plus/mupen64plus-audio-sdl.so
%{_libdir}/mupen64plus/mupen64plus-rsp-hle.so
%{_libdir}/mupen64plus/mupen64plus-video-rice.so
%{_libdir}/mupen64plus/mupen64plus-input-sdl.so
%{_libdir}/libmupen64plus.so.2
%{_libdir}/libmupen64plus.so.2.0.0
%{_libdir}/mupen64plus/mupen64plus-video-glide64mk2.so
%{_datadir}/%{name}/
%{_datadir}/applications/mupen64plus.desktop
%{_datadir}/icons/hicolor/48x48/apps/mupen64plus.png
%{_datadir}/icons/hicolor/scalable/apps/mupen64plus.svg
%{_mandir}/man6/mupen64plus.6.bz2


%changelog
* Wed Sep 20 2017 bb2 <bb2> - 2.5-4pclos2017
- rebuild against updates

* Tue May 24 2016 woodhead <pp> 2.5-3pclos2016
- added Requires m64py

* Mon May 23 2016 bb <bb. 2.5-2pclos2016
- drop development files
- apply patch listed in specfile
- adjust description as there is no gtk frontend in package

* Mon May 23 2016 woodhead <pp> 2.5-1pclos2016
- imported package 

